// dhtml.js

// Dfinit les variables globales d'identification du navigateur
var NN = (navigator.appName=="Netscape" ? true : false);
var IE = (document.all? true : false);

var cacheNom = 'hidden';
var montreNom = 'visible';
var zIdx 	 = -1;

//********************************************************************************************
// Gestion des calques
//********************************************************************************************

// Dfinit une fonction pour la cration d'un calque
// deux arguments supplmentaires permettent de dfinir des gestionnaires d'vnement pour onMouseOver et onMouseOut
function creeCalque(sNom, sGauche, sTop, sLarge, sHaut, sVisible, contenu) {
	document.writeln('<div id="' + sNom + '" style="position:absolute; overflow:none; left:' + 
		sGauche + 'px; top:' + sTop + 'px; width:' + sLarge + 'px; height:' + sHaut + 'px;' + 
		' visibility:' + sVisible + '; z-Index=' + (++zIdx) + '">' + 
		contenu + '</div>'
	);
}

// Dfinit une fonction pour cacher les calques
function cacheCalque(id) {
	document.getElementById(id).style.visibility = cacheNom;
}

// Dfinit une fonction pour rvler les calques
function montreCalque(id) {
	document.getElementById(id).style.visibility = montreNom;
}

// Dfinit une fonction pour dplacer un calque vers de nouvelles coordonnes
function deplaceCalque(id,x,y) {
	document.getElementById(id).style.left=x+"px";
	document.getElementById(id).style.top=y+"px";
	// ATTENTION : pas d'espace avant px
}

//********************************************************************************************
// Gestion des menus droulants
//********************************************************************************************

// cre le calque correspondant  un menu, et des calques pour les sous-menus correspondants
// Le fait de crer un calque permet de dterminer librement les coordonnes du menu et des sous-menu correspondant
function creeMenu(id,listeSousMenu,listeItem,x,y,width) {
	var contenu="<table class='menu'><tr>";
	for (var i=0;i<listeItem.length;i++) {
		var option=listeItem[i];
		var subId=id+i;
		contenu+="<td class='unselectedMenuItem' width='"+width+"px' onmouseOver=\"cacheSubMenu('"+id+"');montreCalque('"+subId+"')\" >"+option+"</td>";
		creeSubMenu(subId,listeSousMenu[i],x+i*(width+2),y+24,width);
	}
	contenu+="</tr></table>";
	// width + 2  cause des bordure de tableau
	largeur=(width+2)*(listeItem.length)+2;
	hauteur=24;
	creeCalque(id, x , y, largeur, hauteur, montreNom, contenu)
}

// cre le calque correspondant  un sous-menu
function creeSubMenu(id,listeItem,x,y,width) {
	var	contenu="<table class='menu' onMouseOver=\"montreCalque('"+id+"');\" onMouseOut=\"cacheCalque('"+id+"');\">";
	var nbLignes=0;
	for (var i in listeItem) {
		contenu+="<tr><td class='unselectedMenuItem'  onMouseOver=\"this.className='selectedMenuItem';\" onMouseOut=\"this.className='unselectedMenuItem';\" onclick=\"document.location='"+listeItem[i][1]+"';\" >"+listeItem[i][0]+"</td></tr>\n";
		nbLignes++;
	}
	contenu+="</table>";
	hauteur=nbLignes*24;
	creeCalque(id, x , y, width+4, hauteur, cacheNom,contenu);
}

// efface tous les sous-menus lis au menu identifi par id
function cacheSubMenu(id) {
	var i=0;
	while (document.getElementById(id+i)) {
		cacheCalque(id+i);
		i++;
	}
}

